VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "InterpChain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa InterpChain
Private stk As Stack
Private nextChain As InterpChain
Private has_chain As Boolean
'-----
Public Sub init(stk_ As Stack)
  Set stk = stk_
End Sub
'-----
Public Sub addToChain(c As InterpChain)
  Set nextChain = c
  has_chain = True
End Sub
'-----
Public Sub sendToChain(stk As Stack)
End Sub
'-----
Public Function interpret() As Boolean
End Function
'-----
Public Sub addArgsToVerb()
  Dim v As ParseObject
  Set v = stk.pop()               'Pobierz ze stosu
  Dim vo As ParseObject
  Set vo = stk.pop()
  vo.addArg v                     'Dodaj do sąsiedniego
  stk.push vo                     'I odłóż z powrotem na stos
End Sub

    
